gtk2-engines-cleanice (2.4.1-3build1) focal; urgency=medium

  * No-change rebuild against latest pango

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Mar 2020 23:10:48 -0400

gtk2-engines-cleanice (2.4.1-3) unstable; urgency=low

  * debian/patches:
    - 03-checkbox-prelight-text-color-fix.
  * debian/themes:
    - removed thinice remnants from CleanIce-Marble.

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Fri, 28 May 2010 11:28:13 +0400

gtk2-engines-cleanice (2.4.1-2) unstable; urgency=low

  * New theme: CleanIce-Marble.
    - README.debian and copyright updated.
  * debian/control:
    - updated long description.
    - added Dmitry E. Oboukhov to Uploaders.
  * debian/patches:
    - 02-draw-arrow-fixes (juergen.mangler@univie.ac.at).

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Sun, 16 May 2010 18:58:16 +0400

gtk2-engines-cleanice (2.4.1-1) unstable; urgency=low

  * New maintainer (Closes: #543738, #553506).
    - updated maintainer information in debian/copyright, debian/control.
    - corrected licensing information.
  * Package converted to 3.0 (quilt) source format:
    - updated to Standards-Version 3.8.4.
    - debhelper compatibility level set to 7.
    - themes moved to debian/themes.
    - added debian/install.
    - removed debian/docs, added README.Debian.
    - trimmed trailing white space where possible.
  * debian/rules:
    - remove old cruft.
    - make use of dh script.
    - don't install libcleanice.la.
  * debian/patches:
      01-draw_flat_box-segfault-better-fix (Closes: #451736, #457098).

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Sat, 27 Mar 2010 01:01:12 +0300

gtk2-engines-cleanice (2.4.1-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Append ~ to the libgtk2.0-dev bdep; thanks Luk Claes; drop
    debian/source.lintian-overrides.

 -- Loic Minier <lool@dooz.org>  Tue, 29 Jul 2008 00:03:15 +0200

gtk2-engines-cleanice (2.4.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Revert "lintian warning fix" of 2.4.1-0.1: build-dep on libgtk2.0-dev >=
    2.10.1-1; closes: #492730.
  * Add debian/source.lintian-overrides to silence aforementioned warning.

 -- Loic Minier <lool@dooz.org>  Mon, 28 Jul 2008 22:36:31 +0200

gtk2-engines-cleanice (2.4.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Update Copyright year for 2007
    - Modernized autotools as of 2007-08-08
    - src/cleanice-draw.c (draw_flat_box):
      Use DETAIL () macro instead of strncmp to fix a possible crash
  * src/cleanice-draw.c:
    - Stanislav Maslovski offered an improved patch for the above
      draw_flat_box() segfault problem (Closes: #490150).
  * debian/watch:
    - Fixed uscan entry; upgraded to version 3 (Closes: #450386).
  * debian/control:
    - Bumped Standards-Version to 3.8.0 (No change necessary).
    - Fixed Lintian warning: "build-depends-on-1-revision build-depends:
      libgtk2.0-dev (>= 2.10.1-1)".
  * debian/copyright:
    - Added more authors from AUTHORS file.
    - Fixed Lintian warnings: "debian-copyright-line-too-long" and
      "copyright-without-copyright-notice".
  * debian/rules:
    - Added missing dh_clean run in the "clean" target.  The file
      debian/gtk2-engines-cleanice.substvars was left lying around.

 -- Anthony Fok <foka@debian.org>  Fri, 25 Jul 2008 02:36:07 +0800

gtk2-engines-cleanice (2.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Gtk 2.10 transition; closes: #419296.
    - Build-depend on libgtk2.0-dev >= 2.10.1-1.
    - Call dh_gtkmodules in binary-arch.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Apr 2007 21:59:33 +0200

gtk2-engines-cleanice (2.4.0-1) unstable; urgency=low

  * New upstream release
  * Maintainer changed (closes: #297850).

 -- Jorge Octavio Ocharan Hernandez <ocharan@enurbana.net>  Fri, 25 Mar 2005 05:46:51 -0600

gtk2-engines-cleanice (2.3.0-2) unstable; urgency=low

  * debian/control:
    - Forgot to bump Build-Depends of libgtk2.0-dev to 2.4.0 in previous
      upload.
    - New maintainer address.
  * debian/rules:
    - Removed bashism when copying config.{guess,sub} which closes: #264030.

 -- Sebastian Henschel <shensche@debian.org>  Sat,  7 Aug 2004 09:08:01 +0200

gtk2-engines-cleanice (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * This maintainer upload closes: #250880.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Wed, 16 Jun 2004 17:01:11 +0200


gtk2-engines-cleanice (1.2.8-1.1) unstable; urgency=medium

  * NMU with maintainer approval.
  * Rebuilt with gtk+2.4 (Closes: #250880).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 16:20:21 +0200

gtk2-engines-cleanice (1.2.8-1) unstable; urgency=low

  * New upstream release.
  * This release does not ship with styles anymore, so the following actions
    have been taken:
    - debian/patches: removed.
    - debian/rules: removed dpatch-stuff, added copying of old styles into
      the package.
    - debian/control: removed build-dep on dpatch, updated description.
    - debian/copyright: updated email address of upstream author.
  * debian/watch:
    - Updated to reflect new (old as in < 1.2.6) file name.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Mon, 12 Jan 2004 10:16:38 +0100

gtk2-engines-cleanice (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Download file name has changed.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.0.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Fri,  7 Nov 2003 18:45:45 +0100

gtk2-engines-cleanice (1.2.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.5.10.
  * debian/rules:
    - Changed target dependencies due to changes in dpatch.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Mon,  2 Jun 2003 14:02:40 +0200

gtk2-engines-cleanice (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Previous upload closes: #185922.
  * debian/control:
    - Removed useless autoconf build-dependency.
  * debian/rules:
    - Added some "touches" in target config.status which solves the
    build-problem on m68k and thus closes: #188247.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Thu, 10 Apr 2003 17:19:21 +0200

gtk2-engines-cleanice (1.2.4-1) unstable; urgency=low

  * New upstream release.
    - Should fix #185922. I am no user of gaim, please report back to me.
  * Previous upload closes: #178971.
  * debian/control:
    - Bumped Standards-Version to 3.5.9.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Mon,  7 Apr 2003 19:28:11 +0200

gtk2-engines-cleanice (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added autoconf to Build-Depends, maybe fixes #178971.
    - Added homepage to description.
    - Set debhelper dependency to >= 4.0.
    - Removed CleanIce-Latest from description, because it does not exist
    anymore.
  * debian/rules:
    - Fixed policy violation in transition to Standards-Version 3.5.7:
    default compilation options have changed.
    - removed removal of obsolete README.html files in Themes/ directory,
    because upstream does not ship them anymore.
    - added GTK_PREFIX and GTK_LIBDIR to invocation of "make install",
    because upstream install needs them.
    - removed DH_COMPAT.
  * debian/compat:
    Created file and set to 4
  * debian/dirs:
    Removed this file.
  * debian/copyright:
    Updated download location.
  * debian/docs:
    Removed NEWS, because it does not contain anything.
  * Incorporated dpatch for the Debian style.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Mon, 10 Mar 2003 09:34:42 +0100

gtk2-engines-cleanice (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version: to 3.5.8.
    - Bumped Build-depends: to depend on gtk2.2 (closes: #175924).
    - Updated the description (author, name of each contained theme).
    - Added a version (>= 3.0) for debhelper in Build-depends: in order to
    correspond to DH_COMPAT in debian/rules.
  * debian/watch:
    - Updated regex to match new name of tarball at the download source.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Fri, 10 Jan 2003 21:28:50 +0100

gtk2-engines-cleanice (1.1.6.2-2) unstable; urgency=low

  * Learned that it is _important_ to "lintian" the .changes file and _not_
    .deb. Thus made the following two changes:
  * Removed the empty postinst and modified my local copy of the
    debhelper-autoscript for dh_installdocs.
  * Delete debian/files when executing target clean in debian/rules.
  * The header Build-Depends: did not contain autotools-dev as it seems,
    hopefully it really does now (closes: #171120).
  * The file /usr/share/themes/CleanIce/README.html from the theme versions
    for gtk1 and gtk2 conflict. Since the HTML-code is invalid and seems to be
    outdated (compare with /usr/share/docs/README) it gets deleted at
    build-time. (closes: #171246).

 -- Sebastian Henschel <shensche@kodeaffe.de>  Mon,  2 Dec 2002 16:48:08 +0100

gtk2-engines-cleanice (1.1.6.2-1) unstable; urgency=low

  * New upstream release.
  * Maintainer changed (closes: #162411).
  * Renamed package to gtk2-engines-cleanice (closes: #157387).
  * Added a new style: Debian, thanks to Erich Schubert <erich@debian.org>
    (closes: #166989).
  * Converted debian/rules to a dh_make generated version.
  * Upgraded Standards-Version: to 3.5.7.
  * Added autotools-dev to Build-Depends: header.
  * Added an empty postinst to prevent dh_installdocs from deprecated
    linking from /usr/doc to /usr/share/doc.
  * Added NEWS and TODO to debian/docs.
  * Added debian/watch.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Sun, 24 Nov 2002 18:14:37 +0100

gtk-engines-cleanice2 (1.1.6-1) unstable; urgency=low

  * New upstream release

 -- Bastien Nocera <hadess@hadess.net>  Sun, 18 Aug 2002 20:20:22 +0100

gtk-engines-cleanice2 (1.1.5-1.1) unstable; urgency=low

  * Non-maintainer upload at request of Bastien Nocera.
  * Rebuild against libgtk2.0-0png3.
  * Change build-depend to libgtk2.0-dev (>= 2.0.6).
  * Changed to use ${shlibs:Depends} for Depends: header.

 -- Robert McQueen <robot101@debian.org>  Sat, 10 Aug 2002 03:01:14 +0000

gtk-engines-cleanice2 (1.1.5-1) unstable; urgency=low

  * New upstream release

 -- Bastien Nocera <hadess@hadess.net>  Wed,  3 Jul 2002 14:42:10 +0100

gtk-engines-cleanice2 (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Fix build bug (configure being run multiple times)

 -- Bastien Nocera <hadess@hadess.net>  Mon,  1 Jul 2002 23:00:22 +0100

gtk-engines-cleanice2 (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Bastien Nocera <hadess@hadess.net>  Mon,  1 Jul 2002 21:05:56 +0100

gtk-engines-cleanice2 (1.0.2-2) unstable; urgency=low

  * Link to libgtk+ even if the programs using the engine should already
    load it (Closes: #150668)

 -- Bastien Nocera <hadess@hadess.net>  Wed, 26 Jun 2002 22:55:13 +0100

gtk-engines-cleanice2 (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Install the docs properly

 -- Bastien Nocera <hadess@hadess.net>  Thu, 20 Jun 2002 17:05:10 +0100

gtk-engines-cleanice2 (1.0.1-3) unstable; urgency=low

  * fix Gtk+ warnings with -Latest and -Dark themes

 -- Bastien Nocera <hadess@hadess.net>  Tue, 18 Jun 2002 03:56:16 +0100

gtk-engines-cleanice2 (1.0.1-2) unstable; urgency=low

  * Fix description (Closes: #150045), thanks to Junichi Uekawa for sending
    this one in
  * Remove specific colors for the bars widgets (used to break gthumb)
  * Re-merge the proper arrows in (they got uglier from 1.0.0 to 1.0.1)
  * Use Gtk's default checkboxes and radio buttons, they're more readable
    (requested by many people, including Tiger-T)

 -- Bastien Nocera <hadess@hadess.net>  Tue, 18 Jun 2002 03:56:05 +0100

gtk-engines-cleanice2 (1.0.1-1) unstable; urgency=low

  * CleanIce for Gtk+ 2.x

 -- Bastien Nocera <hadess@hadess.net>  Fri, 14 Jun 2002 00:33:18 +0100

gtk-engines-cleanice (0.8.5-1) unstable; urgency=low

  * New upstream release (Closes: #131534)

 -- Bastien Nocera <hadess@hadess.net>  Mon, 11 Feb 2002 23:18:02 +0000

gtk-engines-cleanice (0.8.0-8) unstable; urgency=low

  * Update (Closes: #129765)

 -- Bastien Nocera <hadess@hadess.net>  Mon, 21 Jan 2002 05:06:10 +0000

gtk-engines-cleanice (0.8.0-7) unstable; urgency=low

  * fix the url of the package in the copyright file

 -- Bastien Nocera <hadess@hadess.net>  Sat, 12 Jan 2002 01:48:47 +0000

gtk-engines-cleanice (0.8.0-6) unstable; urgency=low

  * install the stuff in the proper place ! *that* gives a working package

 -- Bastien Nocera <hadess@hadess.net>  Mon, 10 Dec 2001 01:39:21 +0000

gtk-engines-cleanice (0.8.0-5) unstable; urgency=low

  * update Standards-Version
  * fix the copyright to have a nicer copyright, and add authors
  * update rules to a more up-to-date standard
  * I still need to put a proper download url for this package

 -- Bastien Nocera <hadess@hadess.net>  Mon, 10 Dec 2001 00:45:07 +0000

gtk-engines-cleanice (0.8.0-4) unstable; urgency=low

  * modify the url to some that's actually accessible

 -- Bastien Nocera <hadess@hadess.net>  Fri, 26 Oct 2001 14:39:27 +0100

gtk-engines-cleanice (0.8.0-3) unstable; urgency=low

  * It is not a native debian package, have a .diff.gz
  * use gtk-engines-cleanice.dirs and .docs instead of dirs and docs
  * Fix "ancient standard" warning from lintian

 -- Bastien Nocera <hadess@hadess.net>  Fri, 26 Oct 2001 14:30:26 +0100

gtk-engines-cleanice (0.8.0-2) unstable; urgency=low

  * Remove dirt crap at the end of the changelog

 -- Bastien Nocera <hadess@kara.hadess.net>  Mon, 20 Aug 2001 18:31:53 +0100

gtk-engines-cleanice (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * we need a lintian override file for libcleanice.so

 -- Bastien Nocera <hadess@hadess.net>  Sun, 19 Aug 2001 16:55:25 +0100

